using System.Configuration;

namespace IFXplus.SmartStorage.Settings
{
    public class SqlServerStorageProviderSettings : BaseStorageProviderSettings
    {

        #region StorageProviderType

        public override StorageProviderType Type
        {
            get { return StorageProviderType.SqlServer; }
        }

        #endregion

        [ConfigurationProperty("connectionString", DefaultValue = @"Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|/storage.mdf;Integrated Security=True;Connect Timeout=30;User Instance=True;", IsKey = false, IsRequired = true)]
        public string ConnectionString
        {
            get { return ((string)(base["connectionString"])); }
            set { base["connectionString"] = value; }
        }

        [ConfigurationProperty("tableName", DefaultValue = "tblStorageEntry", IsKey = false, IsRequired = true)]
        public string TableName
        {
            get { return ((string)(base["tableName"])); }
            set { base["tableName"] = value; }
        } 
        
    }
}
