using System.Web.Services.Protocols;

namespace IFXplus.SmartStorage.Providers
{
    public class WebServiceStorageProviderClientCredentials : SoapHeader
    {
        private string _Username = string.Empty;
        private string _Password = string.Empty;

        public WebServiceStorageProviderClientCredentials() { }
        public WebServiceStorageProviderClientCredentials(string username, string password)
        {
            Username = username;
            Password = password;
        }

        public string Username
        {
            get { return _Username; }
            set { _Username = value; }
        }
        public string Password
        {
            get { return _Password; }
            set { _Password = value; }
        }
    }
}
