using System.Configuration;

namespace IFXplus.SmartStorage.Settings
{
    public abstract class BaseStorageProviderSettings : ConfigurationElement, IStorageProviderSettings
    {
        [ConfigurationProperty("id", DefaultValue = "", IsKey = true, IsRequired = true)]
        public string Id
        {
            get { return ((string)(base["id"])); }
            set { base["id"] = value; }
        }

        public abstract StorageProviderType Type { get; }
        
    }
}
